[dpdk-dev] [PATCH] ixgbe: Reduce compilation to only require sse3 intrinsics

Thomas Monjalon thomas.monjalon at 6wind.com
Wed Aug 13 01:55:45 CEST 2014


> > ixgbe was failing to build in the default configuration because it required
> > sse4.2 intrinsics, and the default config doesn't support more than sse3.
> > Modify the pmd so that only sse3 intrinsics are pulled in and used.
> > 
> > Signed-off-by: Neil Horman <nhorman at tuxdriver.com>
> > CC: "Konstantin Ananyev" <konstantin.ananyev at intel.com>
> > CC: Bruce Richardson <bruce.richardson at intel.com>
> > CC: Thomas Monjalon <thomas.monjalon at 6wind.com>
> 
> Acked-by: Bruce Richardson <bruce.richardson at intel.com>

Applied for version 1.7.1.

Now, ixgbe_rxtx_vec.c should be usable on all x86_64 CPU,
or am I forgetting something?

Thanks
-- 
Thomas


More information about the dev mailing list